org.apache.commons.collections4.iterators

## Class AbstractOrderedMapIteratorDecorator<K,V>

- java.lang.Object
- - org.apache.commons.collections4.iterators.AbstractOrderedMapIteratorDecorator<K,V>

- Type Parameters:
    `K` - the type of keys
    `V` - the type of mapped values
  All Implemented Interfaces:
    Iterator<K>, MapIterator<K,V>, OrderedIterator<K>, OrderedMapIterator<K,V>

      public class AbstractOrderedMapIteratorDecorator<K,V>
      extends Object
      implements OrderedMapIterator<K,V>

  Provides basic behaviour for decorating an ordered map iterator with extra functionality.

  All methods are forwarded to the decorated map iterator.

  Since:
    3.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractOrderedMapIteratorDecorator(OrderedMapIterator<K,V> iterator)` Constructor that decorates the specified iterator.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `K` | `getKey()` Gets the current key, which is the key returned by the last call to `next()`.
    `protected OrderedMapIterator<K,V>` | `getOrderedMapIterator()` Gets the iterator being decorated.
    `V` | `getValue()` Gets the current value, which is the value associated with the last key returned by `next()`.
    `boolean` | `hasNext()` Checks to see if there are more entries still to be iterated.
    `boolean` | `hasPrevious()` Checks to see if there is a previous entry that can be iterated to.
    `K` | `next()` Gets the next key from the `Map`.
    `K` | `previous()` Gets the previous key from the `Map`.
    `void` | `remove()` Removes the last returned key from the underlying `Map` (optional operation).
    `V` | `setValue(V obj)` Sets the value associated with the current key (optional operation).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Constructor Detail

    - #### AbstractOrderedMapIteratorDecorator

          public AbstractOrderedMapIteratorDecorator(OrderedMapIterator<K,V> iterator)

      Constructor that decorates the specified iterator.
      Parameters:
        `iterator` - the iterator to decorate, must not be null
      Throws:
        `NullPointerException` - if the iterator is null

  - ### Method Detail

    - #### getOrderedMapIterator

          protected OrderedMapIterator<K,V> getOrderedMapIterator()

      Gets the iterator being decorated.
      Returns:
        the decorated iterator

    - #### hasNext

          public boolean hasNext()

      Checks to see if there are more entries still to be iterated.
      Specified by:
        `hasNext` in interface `Iterator<K>`
      Specified by:
        `hasNext` in interface `MapIterator<K,V>`
      Returns:
        `true` if the iterator has more elements

    - #### next

          public K next()

      Gets the next key from the `Map`.
      Specified by:
        `next` in interface `Iterator<K>`
      Specified by:
        `next` in interface `MapIterator<K,V>`
      Returns:
        the next key in the iteration

    - #### hasPrevious

          public boolean hasPrevious()

      Checks to see if there is a previous entry that can be iterated to.
      Specified by:
        `hasPrevious` in interface `OrderedIterator<K>`
      Specified by:
        `hasPrevious` in interface `OrderedMapIterator<K,V>`
      Returns:
        `true` if the iterator has a previous element

    - #### previous

          public K previous()

      Gets the previous key from the `Map`.
      Specified by:
        `previous` in interface `OrderedIterator<K>`
      Specified by:
        `previous` in interface `OrderedMapIterator<K,V>`
      Returns:
        the previous key in the iteration

    - #### remove

          public void remove()

      Removes the last returned key from the underlying `Map` (optional operation).

      This method can be called once per call to `next()`.

      Specified by:
        `remove` in interface `Iterator<K>`
      Specified by:
        `remove` in interface `MapIterator<K,V>`

    - #### getKey

          public K getKey()

      Gets the current key, which is the key returned by the last call to `next()`.
      Specified by:
        `getKey` in interface `MapIterator<K,V>`
      Returns:
        the current key

    - #### getValue

          public V getValue()

      Gets the current value, which is the value associated with the last key returned by `next()`.
      Specified by:
        `getValue` in interface `MapIterator<K,V>`
      Returns:
        the current value

    - #### setValue

          public V setValue(V obj)

      Sets the value associated with the current key (optional operation).
      Specified by:
        `setValue` in interface `MapIterator<K,V>`
      Parameters:
        `obj` - the new value
      Returns:
        the previous value

Copyright © 2001–2019 The Apache Software Foundation. All rights reserved.